package com.xhpc.activity.service;

import com.xhpc.activity.domain.XhpcClearingHistoryOrderDomain;
import com.xhpc.activity.vo.ClearingOrderVo;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;
import java.util.Map;

public interface XhpcClearingHistoryOrderService {

    List<XhpcClearingHistoryOrderDomain> getPage(Map<String, Object> params);

    void export(HttpServletResponse response, Map<String, Object> params) throws IOException;

    boolean checkDomainList(ClearingOrderVo orderVo);

    List<Map<String, Object>> getOrderPage(Map<String, Object> params);

    Map<String, Object> getOperatorData(Map<String, Object> params);

}
